package yb_index_tab

// YbIndexTab 研报-首页选项卡
type YbIndexTab struct {
	ID           int    `gorm:"primaryKey;column:id;type:int(10) unsigned;not null" json:"-"`
	Tab          string `gorm:"column:tab;type:varchar(30);not null;default:''" json:"tab"`                     // 选项卡名
	Mark         string `gorm:"column:mark;type:varchar(30);not null;default:''" json:"mark"`                   // 枚举值
	DefaultIcon  string `gorm:"column:default_icon;type:varchar(255);not null;default:''" json:"defaultIcon"`   // 默认icon
	SelectedIcon string `gorm:"column:selected_icon;type:varchar(255);not null;default:''" json:"selectedIcon"` // 选中icon
	Sort         int    `gorm:"column:sort;type:int(10) unsigned;not null;default:0" json:"sort"`               // 排序
	IsShow       int    `gorm:"column:is_show;type:tinyint(4) unsigned;not null;default:0" json:"isShow"`       // 是否显示：0-隐藏 1-显示
	AuthCheck    int    `gorm:"column:auth_check;type:tinyint(4) unsigned;not null;default:0" json:"authCheck"` // 是否需要检验权限：0-否 1-是
	Position     int    `gorm:"column:position;type:tinyint(4) unsigned;not null;default:0" json:"position"`    // 位置：1-顶部 2-底部
	Version      string `gorm:"column:version;type:varchar(30);not null;default:''" json:"version"`             // 版本号
}

// TableName get sql table name.获取数据库表名
func (m *YbIndexTab) TableName() string {
	return "yb_index_tab"
}

// YbIndexTabColumns get sql column name.获取数据库列名
var YbIndexTabColumns = struct {
	ID           string
	Tab          string
	Mark         string
	DefaultIcon  string
	SelectedIcon string
	Sort         string
	IsShow       string
	AuthCheck    string
	Position     string
	Version      string
}{
	ID:           "id",
	Tab:          "tab",
	Mark:         "mark",
	DefaultIcon:  "default_icon",
	SelectedIcon: "selected_icon",
	Sort:         "sort",
	IsShow:       "is_show",
	AuthCheck:    "auth_check",
	Position:     "position",
	Version:      "version",
}